<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Style\Font</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic inherited">
        <a href="#method___clone" title="__clone ::Implement PHP __clone to create a deep clone, not just a shallow copy.">
            <span class="description">Implement PHP __clone to create a deep clone, not just a shallow copy.</span><pre>__clone</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method___construct" title="__construct ::Create a new Supervisor.">
            <span class="description">Create a new Supervisor.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_applyFromArray" title="applyFromArray ::Apply styles from array.">
            <span class="description">Apply styles from array.</span><pre>applyFromArray</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_bindParent" title="bindParent ::Bind parent. Only used for supervisor.">
            <span class="description">Bind parent. Only used for supervisor.</span><pre>bindParent</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getActiveCell" title="getActiveCell ::Get the currently active cell coordinate in currently active sheet.">
            <span class="description">Get the currently active cell coordinate in currently active sheet.</span><pre>getActiveCell</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getActiveSheet" title="getActiveSheet ::Get the currently active sheet. Only used for supervisor.">
            <span class="description">Get the currently active sheet. Only used for supervisor.</span><pre>getActiveSheet</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getBold" title="getBold ::Get Bold.">
            <span class="description">Get Bold.</span><pre>getBold</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getColor" title="getColor ::Get Color.">
            <span class="description">Get Color.</span><pre>getColor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHashCode" title="getHashCode ::Get hash code.">
            <span class="description">Get hash code.</span><pre>getHashCode</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getIsSupervisor" title="getIsSupervisor ::Is this a supervisor or a cell style component?">
            <span class="description">Is this a supervisor or a cell style component?</span><pre>getIsSupervisor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getItalic" title="getItalic ::Get Italic.">
            <span class="description">Get Italic.</span><pre>getItalic</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getName" title="getName ::Get Name.">
            <span class="description">Get Name.</span><pre>getName</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getSelectedCells" title="getSelectedCells ::Get the currently active cell coordinate in currently active sheet.">
            <span class="description">Get the currently active cell coordinate in currently active sheet.</span><pre>getSelectedCells</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSharedComponent" title="getSharedComponent ::Get the shared style component for the currently active cell in currently active sheet.">
            <span class="description">Get the shared style component for the currently active cell in currently active sheet.</span><pre>getSharedComponent</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSize" title="getSize ::Get Size.">
            <span class="description">Get Size.</span><pre>getSize</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getStrikethrough" title="getStrikethrough ::Get Strikethrough.">
            <span class="description">Get Strikethrough.</span><pre>getStrikethrough</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getStyleArray" title="getStyleArray ::Build style array from subcomponents.">
            <span class="description">Build style array from subcomponents.</span><pre>getStyleArray</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSubscript" title="getSubscript ::Get Subscript.">
            <span class="description">Get Subscript.</span><pre>getSubscript</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSuperscript" title="getSuperscript ::Get Superscript.">
            <span class="description">Get Superscript.</span><pre>getSuperscript</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getUnderline" title="getUnderline ::Get Underline.">
            <span class="description">Get Underline.</span><pre>getUnderline</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setBold" title="setBold ::Set Bold.">
            <span class="description">Set Bold.</span><pre>setBold</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setColor" title="setColor ::Set Color.">
            <span class="description">Set Color.</span><pre>setColor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setItalic" title="setItalic ::Set Italic.">
            <span class="description">Set Italic.</span><pre>setItalic</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setName" title="setName ::Set Name.">
            <span class="description">Set Name.</span><pre>setName</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setSize" title="setSize ::Set Size.">
            <span class="description">Set Size.</span><pre>setSize</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setStrikethrough" title="setStrikethrough ::Set Strikethrough.">
            <span class="description">Set Strikethrough.</span><pre>setStrikethrough</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setSubscript" title="setSubscript ::Set Subscript.">
            <span class="description">Set Subscript.</span><pre>setSubscript</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setSuperscript" title="setSuperscript ::Set Superscript.">
            <span class="description">Set Superscript.</span><pre>setSuperscript</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setUnderline" title="setUnderline ::Set Underline.">
            <span class="description">Set Underline.</span><pre>setUnderline</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_UNDERLINE_DOUBLE" title="UNDERLINE_DOUBLE ::">
                        <span class="description"></span><pre>UNDERLINE_DOUBLE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_UNDERLINE_DOUBLEACCOUNTING" title="UNDERLINE_DOUBLEACCOUNTING ::">
                        <span class="description"></span><pre>UNDERLINE_DOUBLEACCOUNTING</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_UNDERLINE_NONE" title="UNDERLINE_NONE ::">
                        <span class="description"></span><pre>UNDERLINE_NONE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_UNDERLINE_SINGLE" title="UNDERLINE_SINGLE ::">
                        <span class="description"></span><pre>UNDERLINE_SINGLE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_UNDERLINE_SINGLEACCOUNTING" title="UNDERLINE_SINGLEACCOUNTING ::">
                        <span class="description"></span><pre>UNDERLINE_SINGLEACCOUNTING</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Font</h1>
                <small style="display: block; text-align: right">                        Extends<a href="../classes/PhpOffice.PhpSpreadsheet.Style.Supervisor.html">\PhpOffice\PhpSpreadsheet\Style\Supervisor</a>                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___clone"></a>
                        <div class="element clickable methodpublic method___clone inherited" data-toggle="collapse" data-target=".method___clone .collapse">
                            <h2>Implement PHP __clone to create a deep clone, not just a shallow copy.</h2>
                            <pre>__clone()</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct inherited" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new Supervisor.</h2>
                            <pre>__construct(boolean $isSupervisor = false)</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$isSupervisor</h4>
                                                <code>boolean</code><p><p>Flag indicating if this is a supervisor or not
Leave this value at default unless you understand exactly what
its ramifications are</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_applyFromArray"></a>
                        <div class="element clickable methodpublic method_applyFromArray" data-toggle="collapse" data-target=".method_applyFromArray .collapse">
                            <h2>Apply styles from array.</h2>
                            <pre>applyFromArray(array $pStyles): \PhpOffice\PhpSpreadsheet\Style\Font</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p><code>
$spreadsheet-&gt;getActiveSheet()-&gt;getStyle('B2')-&gt;getFont()-&gt;applyFromArray(
[
'name' =&gt; 'Arial',
'bold' =&gt; TRUE,
'italic' =&gt; FALSE,
'underline' =&gt; \PhpOffice\PhpSpreadsheet\Style\Font::UNDERLINE_DOUBLE,
'strikethrough' =&gt; FALSE,
'color' =&gt; [
'rgb' =&gt; '808080'
]
]
);
</code></p></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pStyles</h4>
                                                <code>array</code><p><p>Array containing style information</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_bindParent"></a>
                        <div class="element clickable methodpublic method_bindParent inherited" data-toggle="collapse" data-target=".method_bindParent .collapse">
                            <h2>Bind parent. Only used for supervisor.</h2>
                            <pre>bindParent(\PhpOffice\PhpSpreadsheet\Spreadsheet|\PhpOffice\PhpSpreadsheet\Style\Style $parent,null|string $parentPropertyName = null): \PhpOffice\PhpSpreadsheet\Style\Supervisor</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$parent</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a>|\PhpOffice\PhpSpreadsheet\Style\Style</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$parentPropertyName</h4>
                                                <code>null|string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Supervisor.html">\PhpOffice\PhpSpreadsheet\Style\Supervisor</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getActiveCell"></a>
                        <div class="element clickable methodpublic method_getActiveCell inherited" data-toggle="collapse" data-target=".method_getActiveCell .collapse">
                            <h2>Get the currently active cell coordinate in currently active sheet.</h2>
                            <pre>getActiveCell(): string</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Only used for supervisor.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>E.g. 'A1'</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getActiveSheet"></a>
                        <div class="element clickable methodpublic method_getActiveSheet inherited" data-toggle="collapse" data-target=".method_getActiveSheet .collapse">
                            <h2>Get the currently active sheet. Only used for supervisor.</h2>
                            <pre>getActiveSheet(): \PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getBold"></a>
                        <div class="element clickable methodpublic method_getBold" data-toggle="collapse" data-target=".method_getBold .collapse">
                            <h2>Get Bold.</h2>
                            <pre>getBold(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getColor"></a>
                        <div class="element clickable methodpublic method_getColor" data-toggle="collapse" data-target=".method_getColor .collapse">
                            <h2>Get Color.</h2>
                            <pre>getColor(): \PhpOffice\PhpSpreadsheet\Style\Color</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Color.html">\PhpOffice\PhpSpreadsheet\Style\Color</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHashCode"></a>
                        <div class="element clickable methodpublic method_getHashCode" data-toggle="collapse" data-target=".method_getHashCode .collapse">
                            <h2>Get hash code.</h2>
                            <pre>getHashCode(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>Hash code</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getIsSupervisor"></a>
                        <div class="element clickable methodpublic method_getIsSupervisor inherited" data-toggle="collapse" data-target=".method_getIsSupervisor .collapse">
                            <h2>Is this a supervisor or a cell style component?</h2>
                            <pre>getIsSupervisor(): boolean</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getItalic"></a>
                        <div class="element clickable methodpublic method_getItalic" data-toggle="collapse" data-target=".method_getItalic .collapse">
                            <h2>Get Italic.</h2>
                            <pre>getItalic(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getName"></a>
                        <div class="element clickable methodpublic method_getName" data-toggle="collapse" data-target=".method_getName .collapse">
                            <h2>Get Name.</h2>
                            <pre>getName(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSelectedCells"></a>
                        <div class="element clickable methodpublic method_getSelectedCells inherited" data-toggle="collapse" data-target=".method_getSelectedCells .collapse">
                            <h2>Get the currently active cell coordinate in currently active sheet.</h2>
                            <pre>getSelectedCells(): string</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Only used for supervisor.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>E.g. 'A1'</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSharedComponent"></a>
                        <div class="element clickable methodpublic method_getSharedComponent" data-toggle="collapse" data-target=".method_getSharedComponent .collapse">
                            <h2>Get the shared style component for the currently active cell in currently active sheet.</h2>
                            <pre>getSharedComponent(): \PhpOffice\PhpSpreadsheet\Style\Font</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Only used for style supervisor.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSize"></a>
                        <div class="element clickable methodpublic method_getSize" data-toggle="collapse" data-target=".method_getSize .collapse">
                            <h2>Get Size.</h2>
                            <pre>getSize(): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getStrikethrough"></a>
                        <div class="element clickable methodpublic method_getStrikethrough" data-toggle="collapse" data-target=".method_getStrikethrough .collapse">
                            <h2>Get Strikethrough.</h2>
                            <pre>getStrikethrough(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getStyleArray"></a>
                        <div class="element clickable methodpublic method_getStyleArray" data-toggle="collapse" data-target=".method_getStyleArray .collapse">
                            <h2>Build style array from subcomponents.</h2>
                            <pre>getStyleArray(array $array): array</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$array</h4>
                                                <code>array</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSubscript"></a>
                        <div class="element clickable methodpublic method_getSubscript" data-toggle="collapse" data-target=".method_getSubscript .collapse">
                            <h2>Get Subscript.</h2>
                            <pre>getSubscript(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSuperscript"></a>
                        <div class="element clickable methodpublic method_getSuperscript" data-toggle="collapse" data-target=".method_getSuperscript .collapse">
                            <h2>Get Superscript.</h2>
                            <pre>getSuperscript(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getUnderline"></a>
                        <div class="element clickable methodpublic method_getUnderline" data-toggle="collapse" data-target=".method_getUnderline .collapse">
                            <h2>Get Underline.</h2>
                            <pre>getUnderline(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setBold"></a>
                        <div class="element clickable methodpublic method_setBold" data-toggle="collapse" data-target=".method_setBold .collapse">
                            <h2>Set Bold.</h2>
                            <pre>setBold(boolean $pValue): \PhpOffice\PhpSpreadsheet\Style\Font</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setColor"></a>
                        <div class="element clickable methodpublic method_setColor" data-toggle="collapse" data-target=".method_setColor .collapse">
                            <h2>Set Color.</h2>
                            <pre>setColor(\PhpOffice\PhpSpreadsheet\Style\Color $pValue): \PhpOffice\PhpSpreadsheet\Style\Font</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Color.html">\PhpOffice\PhpSpreadsheet\Style\Color</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setItalic"></a>
                        <div class="element clickable methodpublic method_setItalic" data-toggle="collapse" data-target=".method_setItalic .collapse">
                            <h2>Set Italic.</h2>
                            <pre>setItalic(boolean $pValue): \PhpOffice\PhpSpreadsheet\Style\Font</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setName"></a>
                        <div class="element clickable methodpublic method_setName" data-toggle="collapse" data-target=".method_setName .collapse">
                            <h2>Set Name.</h2>
                            <pre>setName(string $pValue): \PhpOffice\PhpSpreadsheet\Style\Font</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setSize"></a>
                        <div class="element clickable methodpublic method_setSize" data-toggle="collapse" data-target=".method_setSize .collapse">
                            <h2>Set Size.</h2>
                            <pre>setSize(float $pValue): \PhpOffice\PhpSpreadsheet\Style\Font</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>float</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setStrikethrough"></a>
                        <div class="element clickable methodpublic method_setStrikethrough" data-toggle="collapse" data-target=".method_setStrikethrough .collapse">
                            <h2>Set Strikethrough.</h2>
                            <pre>setStrikethrough(boolean $pValue): \PhpOffice\PhpSpreadsheet\Style\Font</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setSubscript"></a>
                        <div class="element clickable methodpublic method_setSubscript" data-toggle="collapse" data-target=".method_setSubscript .collapse">
                            <h2>Set Subscript.</h2>
                            <pre>setSubscript(boolean $pValue): \PhpOffice\PhpSpreadsheet\Style\Font</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setSuperscript"></a>
                        <div class="element clickable methodpublic method_setSuperscript" data-toggle="collapse" data-target=".method_setSuperscript .collapse">
                            <h2>Set Superscript.</h2>
                            <pre>setSuperscript(boolean $pValue): \PhpOffice\PhpSpreadsheet\Style\Font</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setUnderline"></a>
                        <div class="element clickable methodpublic method_setUnderline" data-toggle="collapse" data-target=".method_setUnderline .collapse">
                            <h2>Set Underline.</h2>
                            <pre>setUnderline(boolean|string $pValue): \PhpOffice\PhpSpreadsheet\Style\Font</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean|string</code><p><p>\PhpOffice\PhpSpreadsheet\Style\Font underline type
If a boolean is passed, then TRUE equates to UNDERLINE_SINGLE,
false equates to UNDERLINE_NONE</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_UNDERLINE_NONE"> </a>
                            <div class="element clickable constant constant_UNDERLINE_NONE" data-toggle="collapse" data-target=".constant_UNDERLINE_NONE .collapse">
                                <h2>UNDERLINE_NONE</h2>
                                <pre>UNDERLINE_NONE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_UNDERLINE_DOUBLE"> </a>
                            <div class="element clickable constant constant_UNDERLINE_DOUBLE" data-toggle="collapse" data-target=".constant_UNDERLINE_DOUBLE .collapse">
                                <h2>UNDERLINE_DOUBLE</h2>
                                <pre>UNDERLINE_DOUBLE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_UNDERLINE_DOUBLEACCOUNTING"> </a>
                            <div class="element clickable constant constant_UNDERLINE_DOUBLEACCOUNTING" data-toggle="collapse" data-target=".constant_UNDERLINE_DOUBLEACCOUNTING .collapse">
                                <h2>UNDERLINE_DOUBLEACCOUNTING</h2>
                                <pre>UNDERLINE_DOUBLEACCOUNTING</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_UNDERLINE_SINGLE"> </a>
                            <div class="element clickable constant constant_UNDERLINE_SINGLE" data-toggle="collapse" data-target=".constant_UNDERLINE_SINGLE .collapse">
                                <h2>UNDERLINE_SINGLE</h2>
                                <pre>UNDERLINE_SINGLE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_UNDERLINE_SINGLEACCOUNTING"> </a>
                            <div class="element clickable constant constant_UNDERLINE_SINGLEACCOUNTING" data-toggle="collapse" data-target=".constant_UNDERLINE_SINGLEACCOUNTING .collapse">
                                <h2>UNDERLINE_SINGLEACCOUNTING</h2>
                                <pre>UNDERLINE_SINGLEACCOUNTING</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_name"> </a>
                            <div class="element clickable propertyprotected property_name" data-toggle="collapse" data-target=".property_name .collapse">
                                <h2>Font Name.</h2>
                                <pre>name :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_size"> </a>
                            <div class="element clickable propertyprotected property_size" data-toggle="collapse" data-target=".property_size .collapse">
                                <h2>Font Size.</h2>
                                <pre>size :float</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>float</code>                                    </div>
                                </div>
                            </div>                            <a id="property_bold"> </a>
                            <div class="element clickable propertyprotected property_bold" data-toggle="collapse" data-target=".property_bold .collapse">
                                <h2>Bold.</h2>
                                <pre>bold :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_italic"> </a>
                            <div class="element clickable propertyprotected property_italic" data-toggle="collapse" data-target=".property_italic .collapse">
                                <h2>Italic.</h2>
                                <pre>italic :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_superscript"> </a>
                            <div class="element clickable propertyprotected property_superscript" data-toggle="collapse" data-target=".property_superscript .collapse">
                                <h2>Superscript.</h2>
                                <pre>superscript :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_subscript"> </a>
                            <div class="element clickable propertyprotected property_subscript" data-toggle="collapse" data-target=".property_subscript .collapse">
                                <h2>Subscript.</h2>
                                <pre>subscript :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_underline"> </a>
                            <div class="element clickable propertyprotected property_underline" data-toggle="collapse" data-target=".property_underline .collapse">
                                <h2>Underline.</h2>
                                <pre>underline :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_strikethrough"> </a>
                            <div class="element clickable propertyprotected property_strikethrough" data-toggle="collapse" data-target=".property_strikethrough .collapse">
                                <h2>Strikethrough.</h2>
                                <pre>strikethrough :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_color"> </a>
                            <div class="element clickable propertyprotected property_color" data-toggle="collapse" data-target=".property_color .collapse">
                                <h2>Foreground color.</h2>
                                <pre>color :\PhpOffice\PhpSpreadsheet\Style\Color</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Color.html">\PhpOffice\PhpSpreadsheet\Style\Color</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_colorIndex"> </a>
                            <div class="element clickable propertypublic property_colorIndex" data-toggle="collapse" data-target=".property_colorIndex .collapse">
                                <h2>colorIndex</h2>
                                <pre>colorIndex :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_isSupervisor"> </a>
                            <div class="element clickable propertyprotected property_isSupervisor inherited" data-toggle="collapse" data-target=".property_isSupervisor .collapse">
                                <h2>Supervisor?</h2>
                                <pre>isSupervisor :boolean</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_parent"> </a>
                            <div class="element clickable propertyprotected property_parent inherited" data-toggle="collapse" data-target=".property_parent .collapse">
                                <h2>Parent. Only used for supervisor.</h2>
                                <pre>parent :\PhpOffice\PhpSpreadsheet\Spreadsheet|\PhpOffice\PhpSpreadsheet\Style\Style</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a>|\PhpOffice\PhpSpreadsheet\Style\Style</code>                                    </div>
                                </div>
                            </div>                            <a id="property_parentPropertyName"> </a>
                            <div class="element clickable propertyprotected property_parentPropertyName inherited" data-toggle="collapse" data-target=".property_parentPropertyName .collapse">
                                <h2>Parent property name.</h2>
                                <pre>parentPropertyName :null|string</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>null|string</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Style\Font"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Style.html">Style</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">Font</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:53 +0000.<br/>
    </footer></body>
</html>
